import React from 'react';

export default function UniverseIcon() {
    return (
        <svg height="512" viewBox="0 0 512 512" width="512"
             xmlns="http://www.w3.org/2000/svg">
            <g>
                <circle cx="436" cy="136" fill="#eaaacb" r="20"/>
                <circle cx="40" cy="66" fill="#cecdf3" r="30"/>
                <circle cx="472" cy="446" fill="#cecdf3" r="30"/>
                <circle cx="96" cy="276" fill="#fff2a0" r="20"/>
                <circle cx="176" cy="456" fill="#99ebfa" r="20"/>
                <circle cx="256" cy="256" fill="#e6e6f9" r="100"/>
                <g fill="#cecdf3">
                    <circle cx="276" cy="216" r="20"/>
                    <circle cx="246" cy="186" r="10"/>
                    <path
                        d="m196 286c-12.396 0-23.034 7.519-27.607 18.245 9.132 16.548 22.815 30.23 39.363 39.363 10.725-4.574 18.244-15.212 18.244-27.608 0-16.569-13.432-30-30-30z"/>
                </g>
                <g fill="#c193dc">
                    <path
                        d="m461.255 152.16c2.998-4.668 4.745-10.212 4.745-16.16 0-16.542-13.458-30-30-30-1.794 0-3.549.167-5.258.471-43.825-51.193-107.238-80.471-174.742-80.471-61.435 0-119.193 23.924-162.634 67.366-43.442 43.441-67.366 101.199-67.366 162.634 0 84.602 45.914 161.686 120.08 202.079 1.073 15.575 14.078 27.921 29.92 27.921 7.781 0 14.879-2.979 20.216-7.855 19.408 5.209 39.504 7.855 59.784 7.855 61.435 0 119.193-23.924 162.634-67.366 43.442-43.441 67.366-101.199 67.366-162.634 0-36.083-8.552-71.857-24.745-103.84zm-15.255-16.16c0 5.514-4.486 10-10 10s-10-4.486-10-10 4.486-10 10-10 10 4.486 10 10zm-270 330c-5.514 0-10-4.486-10-10s4.486-10 10-10 10 4.486 10 10-4.486 10-10 10zm80 0c-17.023 0-33.898-2.034-50.268-6.053.171-1.293.268-2.608.268-3.947 0-16.542-13.458-30-30-30-9.947 0-18.774 4.87-24.235 12.347-65.439-37.43-105.765-106.588-105.765-182.347 0-115.794 94.206-210 210-210 60.382 0 117.181 25.662 157.092 70.659-4.42 5.227-7.092 11.976-7.092 19.341 0 16.542 13.458 30 30 30 3.167 0 6.219-.497 9.087-1.411 13.691 28.319 20.913 59.729 20.913 91.411 0 115.794-94.206 210-210 210z"/>
                    <path
                        d="m256 86c-45.039 0-87.481 17.436-119.509 49.097-30.518 30.168-48.223 69.933-50.278 112.551-11.749 4.067-20.213 15.236-20.213 28.352 0 15.682 12.097 28.584 27.448 29.884 21.748 70.995 87.808 120.116 162.552 120.116 93.738 0 170-76.262 170-170s-76.262-170-170-170zm-170 190c0-5.514 4.486-10 10-10s10 4.486 10 10-4.486 10-10 10-10-4.486-10-10zm170 130c-65.671 0-123.746-42.966-143.184-105.169 7.95-5.401 13.184-14.516 13.184-24.831 0-12.952-8.251-24.011-19.771-28.202 2.001-37.288 17.593-72.054 44.323-98.477 28.259-27.936 65.708-43.321 105.448-43.321 82.71 0 150 67.29 150 150s-67.29 150-150 150z"/>
                    <path
                        d="m80 66c0-22.056-17.944-40-40-40s-40 17.944-40 40 17.944 40 40 40 40-17.944 40-40zm-60 0c0-11.028 8.972-20 20-20s20 8.972 20 20-8.972 20-20 20-20-8.972-20-20z"/>
                    <path
                        d="m472 406c-22.056 0-40 17.944-40 40s17.944 40 40 40 40-17.944 40-40-17.944-40-40-40zm0 60c-11.028 0-20-8.972-20-20s8.972-20 20-20 20 8.972 20 20-8.972 20-20 20z"/>
                    <path
                        d="m366 256c0-60.654-49.346-110-110-110-53.043 0-97.436 37.738-107.743 87.774-.038.165-.069.332-.098.501-1.413 7.026-2.159 14.289-2.159 21.725 0 60.654 49.346 110 110 110 35.591 0 67.283-16.996 87.401-43.292.407-.449.774-.934 1.095-1.452 9.295-12.572 15.982-27.182 19.247-43.03.038-.165.069-.332.098-.5 1.413-7.027 2.159-14.291 2.159-21.726zm-200 0c0-3.38.194-6.715.559-10h59.441c5.523 0 10-4.477 10-10s-4.477-10-10-10h-54.852c12.383-34.92 45.741-60 84.852-60 49.626 0 90 40.374 90 90 0 3.38-.194 6.716-.559 10h-59.441c-5.523 0-10 4.477-10 10s4.477 10 10 10h54.852c-2.524 7.118-5.917 13.829-10.056 20h-64.796c-5.523 0-10 4.477-10 10s4.477 10 10 10h46.499c-15.457 12.5-35.117 20-56.499 20-49.626 0-90-40.374-90-90z"/>
                </g>
            </g>
        </svg>
    );
}